import { left, right } from "@antv/g2plot/lib/plots/sankey/sankey";

/*
 * @Author: your name
 * @Date: 2021-04-28 09:14:49
 * @LastEditTime: 2021-06-03 19:21:42
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \precise_delivery_distribution_front\src\views\_pageOptions\table-account.ts
 */
export const TableColumnOfAccount = [
  {
    title: "公众号名称",
    dataIndex: "account_name",
    ellipsis: true,
  },

  {
    title: "平台",
    dataIndex: "platform",
    ellipsis: true,
  },
  {
    title: "站点",
    dataIndex: "channel_id",
    ellipsis: true,
  },
  {
    title: "回传条件",
    dataIndex: "condition",
    width:"300px"
  },
  // {
  //   title: "开始/结束时间",
  //   dataIndex: "start_time",
  //   ellipsis: true,
  //   width: 200,
  //   slots: {
  //     customRender: "time"
  //   }
  // },
  {
    title: "回传比例(%)",
    dataIndex: "rate",
    width: 140,
    slots: {
      customRender: "rate",
    },
  },
  // {
  //   title: "回传状态",
  //   dataIndex: "report_status",
  //   width: 150,
  //   slots: {
  //     customRender: "status"
  //   }
  // },
  {
    title: "操作",
    dataIndex: "action",
    width: 250,
    slots: {
      customRender: "action",
    },
  },
];

export const TableColumnOfLog = [
  {
    title: "订单名称",
    dataIndex: "order_no",
    width:"140",
    fixed:"left",
  },
  {
    title: "uid",
    dataIndex: "uid",
    width: 140,
  },
  {
    title: "计划平台",
    dataIndex: "report_platform",
  },
  {
    title: "注册时间",
    dataIndex: "register_time",
  },
  {
    title: "充值时间",
    width: 140,
    dataIndex: "pay_time",
  },
  {
    title: "充值金额",
    width: 140,
    dataIndex: "pay_amount",
  },
  {
    title: "回传状态",
    width: 140,
    dataIndex: "report_status",
    slots: {
      customRender: "report_status",
    },
  },
  {
    title: "备注",
    width: 140,
    dataIndex: "reason",
  },
  {
    title: "回传百分比(%)",
    width: 140,
    dataIndex: "rate",
  },
  {
    title: "回传配置百分比(%)",
    width: 140,
    dataIndex: "config_rate",
  },
  {
    title: "计划ID",
    width: 140,
    dataIndex: "ad_id",
  },
  {
    title: "操作",
    dataIndex: "action",
    width: 140,
    fixed:"right",
    slots: {
      customRender: "report_action",
    },
  },
];
export const TableColumnOfOrange = [
  {
    title: "公众号名称",
    dataIndex: "app_name",
    ellipsis: true,
  },
  {
    title: "微信号",
    dataIndex: "alias",
    ellipsis: true,
  },
  {
    title: "所属平台",
    dataIndex: "platform",
    ellipsis: true,
  },
  {
    title: "回传比例 (%)",
    dataIndex: "rate",
    ellipsis: true,
  },
  {
    title: "操作",
    dataIndex: "action",
    width: 280,
    slots: { customRender: "operation" },
  },
];

export const TableColumnLogOfOrange = [
  {
    title: "订单编号",
    dataIndex: "order_no",
    ellipsis: true,
    width:"140px",
    fixed:"left",
  },
  {
    title: "uid",
    dataIndex: "guid",
    ellipsis: true,
    width: "140px",
  },
  {
    title: "计划平台",
    dataIndex: "platform",
    ellipsis: true,
    width:"140px"
  },
  {
    title: "注册时间",
    dataIndex: "register_time",
    width:"140px"
  },
  {
    title: "充值时间",
    dataIndex: "pay_time",
    width:"140px"
  },
  {
    title: "充值金额",
    dataIndex: "pay_amount",
    width:"140px"
  },
  {
    title: "回传状态",
    dataIndex: "report_status",
    width:"140px",
    slots: {
      customRender: "report_status",
    },
  },
  {
    title: "备注",
    dataIndex: "reason",
    width:"140px"
  },
  {
    title: "回传百分比(%)",
    width:"140px",
    dataIndex: "back_percentage",
  },
  {
    title: "回传配置百分比(%)",
    dataIndex: "config_back_percentage",
    width:"140px"
  },
  {
    title: "操作",
    dataIndex: "action",
    fixed:"right",
    slots: { customRender: "report_action" },
  },
];
